/*
******************************************************************************
*  Name     : DirScrAccAppUi.cpp
*  Date     : 30.7.04
*  Description:
*     The application UI control.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/


#include "BitmapUtilsDemoAppUi.h"
#include "BitmapUtilsDemoView.h" 
#include <BitmapUtilsDemo.rsg>
#include <avkon.hrh>


void CBitmapUtilsDemoAppUi::ConstructL()
{
    //Initialises this app UI with standard values. 
    //The applications standard resource file will be read unless 
    //the ENoAppResourceFile or ENonStandardResourceFile flags are passed.
    BaseConstructL();

    CBitmapUtilsDemoView* view = new (ELeave) CBitmapUtilsDemoView;
    CleanupStack::PushL( view );

	// construct our image loader
	iImageLoader = CImageLoader::NewL();

	
	// register two sus files:
	
	TBuf16<255> file1;
	TBuf16<255> file2;
	iImageLoader->GetApplicationPath(&file1);
	iImageLoader->GetApplicationPath(&file2);
	_LIT (susFile1,"SusiGames.sus");
	_LIT (susFile2,"SusiGamesBG.sus");
	file1.Append (susFile1);
	file2.Append (susFile2);

	TBool res = iImageLoader->RegisterSusFile(&file1);
	if (!res) Exit();
	
	res = iImageLoader->RegisterSusFile(&file2);
	if (!res) Exit();
	

    view->ConstructL(iImageLoader);
    AddViewL( view );      // transfer ownership to CAknViewAppUi
    CleanupStack::Pop();    // view

    SetDefaultViewL(*view);
}


CBitmapUtilsDemoAppUi::~CBitmapUtilsDemoAppUi()
{
	delete iImageLoader;
}



TKeyResponse CBitmapUtilsDemoAppUi::HandleKeyEventL(const TKeyEvent& /*aKeyEvent*/,TEventCode /*aType*/)
{

    return EKeyWasNotConsumed;
}


void CBitmapUtilsDemoAppUi::HandleCommandL(TInt aCommand)
{
    switch ( aCommand )
    {
        case EAknSoftkeyBack:
        case EAknSoftkeyExit:
        case EEikCmdExit:
        {
            Exit();
            break;
        }

        default:
            break;
    }
}

// End of File  
